## org.apache.xerces.impl.dtd
Interface XMLDTDValidatorFilter

All Superinterfaces:
  org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.parser.XMLDocumentSource

All Known Implementing Classes:
  XMLDTDValidator

public interface XMLDTDValidatorFilter
extends org.apache.xerces.xni.parser.XMLDocumentFilter

Defines a DTD Validator filter to allow components to query the DTD validator.

Version:
  $Id: XMLDTDValidatorFilter.java,v 1.2 2002/11/20 00:49:47 twl Exp $
Author:
  Elena Litani, IBM

Method Summary
`boolean` `hasGrammar()` Returns true if the validator has a DTD grammar
`boolean` `validate()` Return true if validator must validate the document

Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Method Detail

### hasGrammar

    public boolean hasGrammar()

  Returns true if the validator has a DTD grammar

  Returns:
    true if the validator has a DTD grammar

### validate

    public boolean validate()

  Return true if validator must validate the document

  Returns:
    true if validator must validate the document

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.